Results 1 to 2 of 2
  1. #1

    Member Since
    Nov 17, 2012
    Which version of Safari is required for OS 10.6.8??
    I have MacBookAir 13 (bot in late 2010) running Mac)S 10.6.8. I mistakenly installed Safari 6.0 and now I can NOT use it or even open it!!!

    How do I get rid of this newer version of Safari and get the correct one installed??

    Thankx for your quick reply or at least directions to WHERE I can find the answer!!!


  2. #2

    Lifeisabeach's Avatar
    Member Since
    Sep 30, 2007
    The Republic of Neptune
    Delete the copy of Safari that you do have, then download and run the 10.6.8 Update Combo. Hopefully that will give you Safari back. Then run Software Update from the Apple menu and check for the latest version of Safari that way.
    Mac OS X 10.6.8 Update Combo v1.1

    Please verify and include the exact model/year of your Mac and OS X version number (available from "About This Mac", then "More Info" on the Apple menu).
    Links: Onyx | EasyFind | Apple Hardware Test | How to test your hard drive | The Safe Mac Adware Removal Guide | Uninstall MacKeeper
    Lifeisabeach - Mac-Forums Member of the Month June 2009, Feb 2012, and March 2013.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Which version of Safari?
    By O'Donoghue in forum Switcher Hangout
    Replies: 17
    Last Post: 02-07-2014, 07:37 PM
  2. Which SAFARI Version?
    By photomegus in forum Switcher Hangout
    Replies: 8
    Last Post: 06-27-2010, 09:02 PM
  3. Safari version 4.0.4
    By harryb2448 in forum OS X - Apps and Games
    Replies: 10
    Last Post: 11-18-2009, 05:53 PM
  4. which version of 10.? has safari
    By imacMIKE in forum OS X - Operating System
    Replies: 2
    Last Post: 11-27-2004, 04:16 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts